- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# net_system – Manage the system attributes on network devices

New in version 2.4.

- DEPRECATED
- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Updated modules released with more functionality
Alternative: | Use platform-specific “[netos]_system” module

## Synopsis

- This module provides declarative management of node system attributes on network devices. It provides an option to configure host system parameters or remove those parameters from the device active configuration.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
domain_name - |  | Configure the IP domain name on the remote device to the provided value. Value should be in the dotted name form and will be appended to the `hostname` to create a fully-qualified domain name.
domain_search - |  | Provides the list of domain suffixes to append to the hostname for the purpose of doing name resolution. This argument accepts a list of names and will be reconciled with the current active configuration on the running node.
hostname - |  | Configure the device hostname parameter. This option takes an ASCII string value.
lookup_source - |  | Provides one or more source interfaces to use for performing DNS lookups. The interface provided in `lookup_source` must be a valid interface configured on the device.
name_servers - |  | List of DNS name servers by IP address to use to perform name resolution lookups. This argument accepts either a list of DNS servers See examples.
state - | Choices: present ← absent | State of the configuration values in the device's current active configuration. When set to present, the values should be configured in the device active configuration and when set to absent the values should not be in the device active configuration

## Notes

Note

- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: configure hostname and domain name
      net_system:
        hostname: ios01
        domain_name: test.example.com
        domain-search:
          - ansible.com
          - redhat.com
          - cisco.com

    - name: remove configuration
      net_system:
        state: absent

    - name: configure DNS lookup sources
      net_system:
        lookup_source: MgmtEth0/0/CPU0/0

    - name: configure name servers
      net_system:
        name_servers:
          - 8.8.8.8
          - 8.8.4.4

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['hostname ios01', 'ip domain name test.example.com']

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Ricardo Carrillo Cruz (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.